"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.concatEntries = void 0;
// export function concatEntries(entries: Entry[]) {
//   const sortedEntries = entries.sort((a, b) => a.startIndex - b.startIndex);
//   const result = [];
//   for (let i = 0; i < sortedEntries.length; i++) {
//     if (
//       result.length === 0 ||
//       result[result.length - 1].endIndex < sortedEntries[i].startIndex
//     ) {
//       result.push(sortedEntries[i]);
//     } else {
//       result[result.length - 1].endIndex = Math.max(
//         result[result.length - 1].endIndex,
//         sortedEntries[i].endIndex
//       );
//     }
//   }
//   return result;
// }
function concatEntries(entries) {
    const sortedEntries = entries.sort((a, b) => a.startIndex - b.startIndex);
    const result = [sortedEntries[0]];
    for (let i = 1; i < sortedEntries.length; i++) {
        const { startIndex, endIndex } = sortedEntries[i];
        const endPrev = result.at(-1).endIndex;
        if (startIndex <= endPrev) {
            result.at(-1).endIndex = Math.max(endIndex, endPrev);
        }
        else {
            result.push({ startIndex, endIndex });
        }
    }
    return result;
}
exports.concatEntries = concatEntries;
